%global momorel 1
%global apiver 2.91

Name:           vte291
Version: 0.54.0
Release: %{momorel}m%{?dist}
Summary:        Terminal emulator library
Group: 		User Interface/X
License:        LGPLv2+
URL:            http://www.gnome.org/
Source0: http://download.gnome.org/sources/vte/0.54/vte-%{version}.tar.xz
NoSource: 0

BuildRequires:  gettext
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk3-devel
BuildRequires:  gnutls-devel >= 3.6.2
BuildRequires:  intltool
BuildRequires:  vala-tools
BuildRequires:  pcre2-devel

# initscripts creates the utmp group
Requires:       initscripts
Requires:       vte-profile

%description
VTE is a library implementing a terminal emulator widget for GTK+. VTE
is mainly used in gnome-terminal, but can also be used to embed a
console/terminal in games, editors, IDEs, etc.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

# vte-profile is deliberately not noarch to avoid having to obsolete a noarch
# subpackage in the future when we get rid of the vte3 / vte291 split. Yum is
# notoriously bad when handling noarch obsoletes and insists on installing both
# of the multilib packages (i686 + x86_64) as the replacement.
%package -n     vte-profile
Summary:        Profile script for VTE terminal emulator library
License:        GPLv3+
# vte.sh was previously part of the vte3 package
Conflicts:      vte3 < 0.36.1-3

%description -n vte-profile
The vte-profile package contains a profile.d script for the VTE terminal
emulator library.

%prep
%setup -q -n vte-%{version}

%build
CFLAGS="%optflags -fPIE -DPIE" \
CXXFLAGS="$CFLAGS" \
LDFLAGS="$LDFLAGS -Wl,-z,relro -Wl,-z,now -pie" \
%configure \
        --disable-static \
        --with-gtk=3.0 \
        --libexecdir=%{_libdir}/vte-%{apiver} \
        --disable-gtk-doc \
        --enable-gnome-pty-helper \
        --enable-introspection
%make  V=1

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%find_lang vte-%{apiver}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f vte-%{apiver}.lang
%doc NEWS
%{_libdir}/libvte-%{apiver}.so.0*
#%dir %{_libdir}/vte-%{apiver}
#%attr(2711,root,utmp) %{_libdir}/vte-%{apiver}/gnome-pty-helper
%{_libdir}/girepository-1.0/

%files devel
%{_bindir}/vte-%{apiver}
%{_includedir}/vte-%{apiver}/
%{_libdir}/libvte-%{apiver}.so
%{_libdir}/pkgconfig/vte-%{apiver}.pc
%{_datadir}/gir-1.0/
%doc %{_datadir}/gtk-doc/
%{_datadir}/vala/

%files -n vte-profile
%{_sysconfdir}/profile.d/vte.sh

%changelog
* Fri Sep 14 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.54.0-1m)
- update to 0.54.0

* Sun Jul 01 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.52.2-1m)
- update to 0.52.2

* Wed Jun 27 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.48.4-1m)
- update to 0.48.4

* Thu Apr 13 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.48.2-1m)
- update to 0.48.2

* Sat Mar 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.47.90-1m)
- update to 0.47.90

* Sun Aug 14 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.38.4-1m)
- update to 0.38.4

* Tue Dec 16 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.38.3-1m)
- update to 0.38.3

* Fri Nov 14 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.38.2-1m)
- update to 0.38.2

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.38.1-1m)
- update to 0.38.1

* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.38.0-1m)
- import from fedora

